org.apache.ignite

## Enum IgniteState

- java.lang.Object
- - java.lang.Enum<IgniteState>
  - - org.apache.ignite.IgniteState

- All Implemented Interfaces:
    Serializable, Comparable<IgniteState>

      public enum IgniteState
      extends Enum<IgniteState>

  Possible states of `Ignition`. You can register a listener for state change notifications via `Ignition.addListener(IgnitionListener)` method.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `STARTED` Grid factory started.
    `STOPPED` Grid factory stopped.
    `STOPPED_ON_FAILURE` Grid factory stopped due to a critical failure.
    `STOPPED_ON_SEGMENTATION` Grid factory stopped due to network segmentation issues.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static @Nullable IgniteState` | `fromOrdinal(byte ord)` Efficiently gets enumerated value from its ordinal.
    `static IgniteState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IgniteState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STARTED

          public static final IgniteState STARTED

      Grid factory started.

    - #### STOPPED

          public static final IgniteState STOPPED

      Grid factory stopped.

    - #### STOPPED_ON_SEGMENTATION

          public static final IgniteState STOPPED_ON_SEGMENTATION

      Grid factory stopped due to network segmentation issues.

      Notification on this state will be fired only when segmentation policy is set to `SegmentationPolicy.STOP` or `SegmentationPolicy.RESTART_JVM` and node is stopped from internals of Ignite after segment becomes invalid.

    - #### STOPPED_ON_FAILURE

          public static final IgniteState STOPPED_ON_FAILURE

      Grid factory stopped due to a critical failure.

  - ### Method Detail

    - #### values

          public static IgniteState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IgniteState c : IgniteState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IgniteState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromOrdinal

          @Nullable
          public static @Nullable IgniteState fromOrdinal(byte ord)

      Efficiently gets enumerated value from its ordinal.
      Parameters:
        `ord` - Ordinal value.
      Returns:
        Enumerated value.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022